log file /var/log/frr/frr.log
!
router bgp 4200162202
 bgp router-id 10.24.32.2
 bgp bestpath as-path multipath-relax
 neighbor infrastructure peer-group
 neighbor infrastructure remote-as external
 neighbor infrastructure bfd
 neighbor underlay peer-group
 neighbor underlay remote-as external
 neighbor underlay bfd
 neighbor underlay capability extended-nexthop
 neighbor 10.30.64.5 peer-group infrastructure
 neighbor 10.30.64.133 peer-group infrastructure
 neighbor uplink1 interface v6only peer-group underlay
 neighbor uplink2 interface v6only peer-group underlay
 !
 address-family ipv4 unicast
  redistribute connected route-map rm_default_ipv4_redstribute_connected
  neighbor infrastructure soft-reconfiguration inbound
  neighbor infrastructure route-map rm_default_ipv4_infrastructure_in in
  neighbor infrastructure route-map rm_default_ipv4_infrastructure_out out
  neighbor underlay soft-reconfiguration inbound
  neighbor underlay route-map rm_default_ipv4_underlay_in in
  neighbor underlay route-map rm_default_ipv4_underlay_out out
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
exit
!
router bgp 4200162202 vrf internet
 bgp router-id 10.24.32.2
 bgp bestpath as-path multipath-relax
 !
 address-family ipv4 unicast
  maximum-paths 64
  maximum-paths ibgp 64
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast route-map rm_internet_ipv4_l3vni_out
 exit-address-family
exit
!
 ip prefix-list pl_default_ipv4_underlay_out seq 10 permit 10.24.32.2/32
 ip prefix-list pl_default_ipv4_underlay_out seq 9999 deny any
 ip prefix-list pl_default_ipv4_underlay_in seq 10 permit 10.24.32.0/22 ge 32
 ip prefix-list pl_default_ipv4_underlay_in seq 9999 deny any
 ip prefix-list pl_default_ipv4_infrastructure_in seq 10 permit 0.0.0.0/0
 ip prefix-list pl_default_ipv4_infrastructure_in seq 9999 deny any
 ip prefix-list pl_default_ipv4_infrastructure_out seq 10 permit 10.30.74.2/32
 ip prefix-list pl_default_ipv4_infrastructure_out seq 9999 deny any
 ip prefix-list pl_default_ipv4_redstribute_connected seq 10 permit 10.30.74.2/32
 ip prefix-list pl_default_ipv4_redstribute_connected seq 20 permit 10.24.32.2/32
 ip prefix-list pl_default_ipv4_redstribute_connected seq 9999 deny any
 ip prefix-list pl_internet_ipv4_l3vni_out seq 10 permit 174.127.94.0/23 ge 32
 ip prefix-list pl_internet_ipv4_l3vni_out seq 9999 deny any
!
route-map rm_default_ipv4_underlay_in permit 10
 match ip address prefix-list pl_default_ipv4_underlay_in
exit
!
route-map rm_default_ipv4_underlay_in deny 9999
exit
!
route-map rm_default_ipv4_underlay_out permit 10
 match ip address prefix-list pl_default_ipv4_underlay_out
exit
!
route-map rm_default_ipv4_underlay_out deny 9999
exit
!
route-map rm_default_ipv4_infrastructure_in permit 10
 match ip address prefix-list pl_default_ipv4_infrastructure_in
exit
!
route-map rm_default_ipv4_infrastructure_in deny 9999
exit
!
route-map rm_default_ipv4_infrastructure_out permit 10
 match ip address prefix-list pl_default_ipv4_infrastructure_out
exit
!
route-map rm_default_ipv4_infrastructure_out deny 9999
exit
!
route-map rm_default_ipv4_redstribute_connected permit 10
 match ip address prefix-list pl_default_ipv4_redstribute_connected
exit
!
route-map rm_default_ipv4_redstribute_connected deny 9999
exit
!
route-map rm_internet_ipv4_l3vni_out permit 10
 match ip address prefix-list pl_internet_ipv4_l3vni_out
exit
!
